## DESCRIPTION

           accounting is a simple  program  to  calculate  statistics
           about  your  internet  connections  that  are  started and
           stopped by either ifup and ifdown  or  by  a  frontend  to
           smpppd like cinternet , qinternet or kinternet.

## OPTIONS

           These  options  are  recognized  by accounting.  If a long
           option shows an argument as mandatory, then it  is  manda
           tory for the equivalent short option also.

           -l, --last=NUM
                  Only consider the last NUM connections.

           -a, --after=DATE
                  Only  consider connections started after DATE. DATE
                  is a date with optional time in  ISO  8601  format,
                  e.g. `2002-12-24 20:15:00'.

                  Note  that a date without time is treated as if the
                  time is 00:00:00. Hence connections started on  the
                  specified date are consider.

           -b, --before=DATE
                  Only consider connections started before DATE.

           --this-year
                  Only consider connections started this year.

           --last-year
                  Only consider connections started last year.

           --this-month
                  Only consider connections started this month.

           --last-month
                  Only consider connections started last month.

           --today
                  Only consider connections started today.

           --yesterday
                  Only consider connections started yesterday.

           -c, --connections
                  Only  list the connections but do not show provider
                  statistics.

           -p, --providers
                  Do not list the connections only show the  provider
                  statistics.
                  rx, tx and rxtx.

           --local
                  Display all dates in  local  time.  Also  interpret
                  dates  on  the  command line in local time. This is
                  the default.

           --utc  Display all dates in UTC. Also interpret  dates  on
                  the command line in UTC.

           --script[=STYLE]
                  Format  output  for  script. Known styles are c and
                  sh.

           -f, --file=NAME
                  Use a different file with accounting information.

           --report-errors
                  Report erros in the accounting file.

           --version
                  Show program version and exit.

           --help Show help information and exit.

## NOTES

           All informations are only obtained through the  accounting
           log. Hence the informations, esp. the data volume, of cur
           rently active connections is not accurate. If you want the
           know the status of a connection use ifstatus or a frontend
           to smpppd like cinternet , qinternet or kinternet instead.

## BUGS

           Not yet implemented for ISDN.

## FILES

           /var/log/smpppd/accounting.log
                  File containing accounting information.

## SEE ALSO

           kinternet, qinternet, cinternet(1), smpppd(8).

## AUTHOR

           Arvin Schnell <arvin@suse.de>

    SuSE                      December 2002             ACCOUNTING(1)